printf "Data set,Algorithm,Testing time [s],Memory [B],Accuracy [%%],Evaluated Windows\n" > Averages.csv

./dataSetsPrequential.sh "meta.OzaBagAdwin -l (trees.HoeffdingTree -e 2000000 -g 100 -c 0.01) -s 10" "1000" "BagAdwin"
./dataSetsPrequential.sh "meta.LeveragingBag -l (trees.HoeffdingTree -e 2000000 -g 100 -c 0.01) -s 10" "1000" "Lev"
./dataSetsPrequential.sh "meta.DynamicWeightedMajority -l (trees.HoeffdingTree -e 2000000 -g 100 -c 0.01) -e 10 -p 1000" "1000" "DWM"
./dataSetsPrequential.sh "meta.OnlineAccuracyUpdatedEnsemble -l (trees.HoeffdingTree -e 2000000 -g 100 -c 0.01) -n 10 -w 1000" "1000" "OAUE"
./dataSetsPrequential.sh "meta.OnlineAccuracyUpdatedEnsemble -l (trees.HoeffdingTree -e 2000000 -g 100 -c 0.01) -n 10 -w 1000 -f" "1000" "OAUE_Lin"

./dataSetsPrequential.sh "meta.AccuracyWeightedEnsemble -l (meta.WEKAClassifier -l (weka.classifiers.trees.J48 -C 0.25 -M 2)) -n 10.0 -r 10.0 -c 1000" "1000" "AWE"
./dataSetsPrequential.sh "meta.IncrementalAWECandidate -l (meta.WEKAClassifier -l (weka.classifiers.trees.J48 -C 0.25 -M 2)) -n 10.0 -r 10.0 -c 1000" "1000" "AWE_C"
./dataSetsPrequential.sh "meta.IncrementalAWEDetector -b (trees.HoeffdingTree -e 2000000 -g 100 -c 0.01) -l (meta.WEKAClassifier -l (weka.classifiers.trees.J48 -C 0.25 -M 2)) -n 10.0 -r 10.0 -c 1000" "1000" "AWE_D"

./dataSetsPrequential.sh "meta.AccuracyUpdatedEnsemble1 -l (trees.HoeffdingTree -e 2000000 -g 100 -c 0.01) -n 10.0 -r 10.0 -c 1000" "1000" "AUE1"
./dataSetsPrequential.sh "meta.IncrementalAUE1Candidate -l (trees.HoeffdingTree -e 2000000 -g 100 -c 0.01) -n 10.0 -r 10.0 -c 1000" "1000" "AUE1_C"
./dataSetsPrequential.sh "meta.IncrementalAUE1Detector -b (trees.HoeffdingTree -e 2000000 -g 100 -c 0.01) -l (trees.HoeffdingTree -e 2000000 -g 100 -c 0.01) -n 10.0 -r 10.0 -c 1000" "1000" "AUE1_D"

./dataSetsPrequential.sh "meta.IncrementalAUE1Window -l (trees.HoeffdingTree -e 2000000 -g 100 -c 0.01) -n 10.0 -r 10.0 -c 1000" "1000" "AUE1_W"
./dataSetsPrequential.sh "meta.IncrementalAWEWindow -l (meta.WEKAClassifier -l (weka.classifiers.trees.J48 -C 0.25 -M 2)) -n 10.0 -r 10.0 -c 1000" "1000" "AWE_W"

#./dataSetsPrequential.sh "AdaptiveClassifiersEnsemble -n 10 -c 1000" "1000" "ACE"
